package com.miaxis.app.controller.exam;

import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.vip.domain.VipUserExam;
import com.miaxis.vip.service.IVipUserExamService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 【考场会员】Controller
 *
 * @author miaxis
 * @date 2023-03-20
 */
@RestController
@RequestMapping(Constants.STUDENT_PREFIX+"/vip/exam")
@Api(tags={"【APP-考场会员】"})
public class VipUserExamController extends BaseController{
    @Autowired
    private IVipUserExamService vipUserExamService;

    /**
     * 查询当前用户考试会员列表
     */
    @GetMapping("/list")
    @ApiOperation("查询当前用户考试会员列表")
    public ResponsePageInfo<VipUserExam> list(){
        UserInfo userInfo = SecurityUtils.getLoginUser().getStudent();
        VipUserExam vipUserExam = new VipUserExam();
        vipUserExam.setId(userInfo.getId());
        vipUserExam.setUnionId(userInfo.getUnionId());
        List<VipUserExam> list = vipUserExamService.selectVipUserExamList(vipUserExam);
        return toResponsePageInfo(list);
    }
    



}
