package com.miaxis.exam.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 考场信息对象 exam_info
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@TableName("exam_info")
@ApiModel(value = "ExamInfo", description = "考场信息对象 exam_info")
public class ExamInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 考场名称 */
    @Excel(name = "考场名称")
    @TableField("name")
    @ApiModelProperty(value = "考场名称")
    private String name;

    /** 考场图片 */
    @Excel(name = "考场图片")
    @TableField("image")
    @ApiModelProperty(value = "考场图片")
    private String image;

    /** 省份ID */
    @Excel(name = "省份ID")
    @TableField("province_id")
    @ApiModelProperty(value = "省份ID")
    private String provinceId;

    /** 省份名称 */
    @Excel(name = "省份名称")
    @TableField("province")
    @ApiModelProperty(value = "省份名称")
    private String province;

    /** 城市ID */
    @Excel(name = "城市ID")
    @TableField("city_id")
    @ApiModelProperty(value = "城市ID")
    private String cityId;

    /** 城市名称 */
    @Excel(name = "城市名称")
    @TableField("city")
    @ApiModelProperty(value = "城市名称")
    private String city;


    /** 城市名称 */
    @Excel(name = "价格")
    @TableField("price")
    @ApiModelProperty(value = "价格")
    private Integer price;




}
