package com.miaxis.exam.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.exam.domain.ExamInfo;
import com.miaxis.exam.vo.ExamInfoCityVo;
import com.miaxis.exam.vo.ExamInfoProviceVo;

/**
 * 考场信息Mapper接口
 *
 * @author miaxis
 * @date 2023-03-20
 */
public interface ExamInfoMapper extends BaseMapper<ExamInfo> {
    /**
     * 查询考场信息列表
     *
     * @param examInfo 考场信息
     * @return 考场信息集合
     */
    public List<ExamInfo> selectExamInfoList(ExamInfo examInfo);

    /**
     * 获取考场存在的所有省份
     * @return
     */
    List<ExamInfoProviceVo> getProvice();

    /**
     *
     * @return
     */
    List<ExamInfoCityVo> getCity(String proviceId);
}
