package com.miaxis.exam.service;

import java.util.List;
import com.miaxis.exam.domain.ExamInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.exam.vo.ExamInfoCityVo;
import com.miaxis.exam.vo.ExamInfoProviceVo;

/**
 * 考场信息Service接口
 *
 * @author miaxis
 * @date 2023-03-20
 */
public interface IExamInfoService extends IService<ExamInfo>{
    /**
     * 查询考场信息列表
     *
     * @param examInfo 考场信息
     * @return 考场信息集合
     */
    public List<ExamInfo> selectExamInfoList(ExamInfo examInfo);

    List<ExamInfoProviceVo> getProvice();

    List<ExamInfoCityVo> getCity(String proviceId);
}
