package com.miaxis.exam.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.exam.vo.ExamInfoCityVo;
import com.miaxis.exam.vo.ExamInfoProviceVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.miaxis.exam.mapper.ExamInfoMapper;
import com.miaxis.exam.domain.ExamInfo;
import com.miaxis.exam.service.IExamInfoService;

/**
 * 考场信息Service业务层处理
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Service
public class ExamInfoServiceImpl extends ServiceImpl<ExamInfoMapper, ExamInfo> implements IExamInfoService {
    @Autowired
    private ExamInfoMapper examInfoMapper;

    /**
     * 查询考场信息列表
     *
     * @param examInfo 考场信息
     * @return 考场信息
     */
    @Override
    public List<ExamInfo> selectExamInfoList(ExamInfo examInfo){
        return examInfoMapper.selectExamInfoList(examInfo);
    }

    @Override
    public List<ExamInfoProviceVo> getProvice() {
        return examInfoMapper.getProvice();
    }

    @Override
    public List<ExamInfoCityVo> getCity(String proviceId) {
        return examInfoMapper.getCity(proviceId);
    }
}
