package com.miaxis.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.miaxis.exam.domain.ExamInfo;
import com.miaxis.exam.service.IExamInfoService;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.OrderInfoDto;
import com.miaxis.order.dto.OrderInfoMonthDto;
import com.miaxis.order.mapper.OrderInfoMapper;
import com.miaxis.order.service.IOrderInfoService;
import com.miaxis.order.vo.OrderInfoMonthVo;
import com.miaxis.vip.domain.VipUserExam;
import com.miaxis.vip.service.IVipExamVideoService;
import com.miaxis.vip.service.IVipUserExamService;
import com.miaxis.wx.domain.WxOrder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * adService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
@CacheConfig(cacheNames = "OrderInfo")
public class OrderInfoServiceImpl extends ServiceImpl<OrderInfoMapper, OrderInfo> implements IOrderInfoService {


    @Autowired
    private OrderInfoMapper orderInfoMapper;

    @Autowired
    private IExamInfoService examInfoService;

    @Autowired
    private IVipUserExamService vipUserExamService;

    @Autowired
    private IVipExamVideoService vipExamVideoService;
    /**
     * 查询ad列表
     *
     * @param orderInfoDto
     * @return List<OrderInfo>
     */
    @Override
    public List<OrderInfo> selectOrderInfoList(OrderInfoDto orderInfoDto){
        return orderInfoMapper.selectOrderInfoList(orderInfoDto);
    }

    @Override
    public OrderInfo getByOutTradeNo(String outTradeNo) {
        return orderInfoMapper.getByOutTradeNo(outTradeNo);
    }

    @Override
    public void writeVipDataToDb(WxOrder order, int payType) {
        Date now = new Date();
        OrderInfo orderInfo = new OrderInfo();
        orderInfo.setGoodsId(order.getGoodsId());
        orderInfo.setGoodsName(order.getGoodsName());
        orderInfo.setUserId(order.getUserId());
        orderInfo.setUnionId(order.getUnionId());
        orderInfo.setAppOpenid(order.getAppOpenid());
        orderInfo.setXcxOpenid(order.getXcxOpenid());
        orderInfo.setGzhOpenid(order.getGzhOpenid());
        orderInfo.setOutTradeNo(order.getOutTradeNo());
        orderInfo.setTotal(order.getTotal());
        orderInfo.setTradeType(1);
        orderInfo.setSuccessTime(order.getSuccessTime());
        orderInfo.setPayType(payType);
        orderInfo.setForeType(order.getForeType());

        //添加会员信息
        ExamInfo examInfo = examInfoService.getById(order.getGoodsId());
        VipUserExam vipUserExam = new VipUserExam();
        vipUserExam.setUserId(order.getUserId());
        vipUserExam.setUnionId(order.getUnionId());
        vipUserExam.setExamId(examInfo.getId());
        vipUserExam.setExamName(examInfo.getName());
        vipUserExamService.save(vipUserExam);
        this.save(orderInfo);
    }



}





