package com.miaxis.video.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 教练视频对象 video_teaching
 *
 * @author miaxis
 * @date 2023-02-20
 */
@Data
@TableName("video_teaching")
@ApiModel(value = "VideoTeaching", description = "教练视频对象 video_teaching")
public class VideoTeaching extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 视频名称 */
    @Excel(name = "视频名称")
    @TableField("video_name")
    @ApiModelProperty(value = "视频名称")
    private String videoName;

    /** 视频封面 */
    @Excel(name = "视频封面")
    @TableField("video_cover")
    @ApiModelProperty(value = "视频封面")
    private String videoCover;

    /** 视频地址 */
    @Excel(name = "视频地址")
    @TableField("video_url")
    @ApiModelProperty(value = "视频地址")
    private String videoUrl;

    /** 1:科目一 2:科目二 3：科目三 4:科目四 */
    @Excel(name = "1:科目一 2:科目二 3：科目三 4:科目四")
    @TableField("video_subject")
    @ApiModelProperty(value = "1:科目一 2:科目二 3：科目三 4:科目四")
    private Long videoSubject;

    /** 0未开启 1已开启 */
    @Excel(name = "0未开启 1已开启")
    @TableField("state")
    @ApiModelProperty(value = "0未开启 1已开启")
    private Long state;


    /** 0竖屏 1横屏*/
    @Excel(name = "0竖屏 1横屏")
    @TableField("horizontal")
    @ApiModelProperty(value = "竖屏 1横屏")
    private Integer horizontal;





}
