package com.miaxis.vip.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 考场会员对象 vip_user_exam
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@TableName("vip_user_exam")
@ApiModel(value = "VipUserExam", description = "考场会员对象 vip_user_exam")
public class VipUserExam extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 联合ID */
    @Excel(name = "联合ID")
    @TableField("union_id")
    @ApiModelProperty(value = "联合ID")
    private String unionId;


    /** 考场ID */
    @Excel(name = "考场ID")
    @TableField("exam_id")
    @ApiModelProperty(value = "考场ID")
    private Long examId;

    /** 考场名称 */
    @Excel(name = "考场名称")
    @TableField("exam_name")
    @ApiModelProperty(value = "考场名称")
    private String examName;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expiration_time")
    @ApiModelProperty(value = "到期时间")
    private Date expirationTime;


}
