package com.miaxis.vip.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.vip.domain.VipExamVideo;
import com.miaxis.vip.mapper.VipExamVideoMapper;
import com.miaxis.vip.service.IVipExamVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 考场视频Service业务层处理
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Service
public class VipExamVideoServiceImpl extends ServiceImpl<VipExamVideoMapper, VipExamVideo> implements IVipExamVideoService {
    @Autowired
    private VipExamVideoMapper vipExamVideoMapper;

    /**
     * 查询考场视频列表
     *
     * @param vipExamVideo 考场视频
     * @return 考场视频
     */
    @Override
    public List<VipExamVideo> selectVipExamVideoList(VipExamVideo vipExamVideo){
        return vipExamVideoMapper.selectVipExamVideoList(vipExamVideo);
    }
}
